#ifndef READER_H
#define READER_H

#include <string.h>

#include "GraphNode.h"


namespace nsReader {

class Reader
{
	public:
		virtual ~Reader(void);

		virtual nsSceneGraph::GraphNode *readFile(const char *filename) = 0;
};

}

#endif
